﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Syncfusion.TreeView.Engine;
using Xamarin.Forms.Xaml;
using Syncfusion.XForms.TreeView;
using Syncfusion.SfBusyIndicator.XForms;

namespace GettingStartedBound
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class GettingStatred : ContentPage
    {
        public GettingStatred()
        {
            InitializeComponent();
        }

        private void TapGestureRecognizer_Tapped(object sender, EventArgs e)
        {
            var imageIcon = sender as Image;
            var treeViewNode = imageIcon.BindingContext as TreeViewNode;
            if (treeViewNode.IsExpanded)
            {
                treeView.CollapseNode(treeViewNode);
            }
            else
            {
                treeView.ExpandNode(treeViewNode);
            }
        }

        private void TreeView_QueryNodeSize(object sender, QueryNodeSizeEventArgs e)
        {
            e.Height = e.GetActualNodeHeight();
            e.Handled = true;
        }
    }
}